icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons icons_061

RuggedCom Rugged Operating System < 4.1 (or 3.11.5 for RS950G) Remote Denial of Service

Medium

Synopsis

The remote host is running a vulnerable version of the RuggedCom Rugged Operating System (ROS).

Description

Versions earlier than 4.1 (or 3.11.5 for RS950G) are vulnerable to a remote denial of service due to a flaw in the implementation of the web interface. An attacker may leverage this by sending specially crafted packets prior to authentication. Additional specifics have not been released publicly.

Solution

The vendor will be releasing 4.1 and recommends updating to this version (save customers using RS950G devices, who are advised to update to 3.11.5). As a general measure, restrict network access to the management interface excepting approved entities.